/*
COPYRIGHT (C) 2001  Stphane List (stephane.list@fr.alcove.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*/


#include <stdio.h>
#include <errno.h>
#include <fcntl.h>
#include <sched.h>
#include <signal.h>

static int end;

static void endme(int dummy) {
	printf("\nbye bye\n");
	end = 1; }

int main(void)
{
	int cmd, i = 1;
	int mon_integer;

	signal(SIGINT, endme);
	
	if ((cmd = open("/dev/rtf0", O_RDONLY)) < 0) {
		fprintf(stderr, "Error opening /dev/rtf0\n");
		exit(1);
	}
	while(!end) {
		read(cmd, &mon_integer, sizeof(int));
		if (!end)
			printf("%d, Bonjour Monde %d fois \n", i++, mon_integer);
	}
}
